/* CSS Style Sheet for index.html the main site for wdd 230 vern wolfley*/

/* import fonts from Google Fonts */

@import url('https://fonts.googleapis.com/css2?family=Open+Sans:ital,wght@0,300..800;1,300..800&family=Raleway:ital,wght@0,100..900;1,100..900&family=Roboto:ital,wght@0,100;0,300;0,400;0,500;0,700;0,900;1,100;1,300;1,400;1,500;1,700;1,900&display=swap');

:root {
    /* volor de palatas general webpage */
    --primary-color: #475304;
    --secondary-color: #388016;
    --accent1-color: #ffffff;
    --accent2-color: #666666;
    --accent3-color: #c0c0c0;
    --accent4-color: #8c6e6e;

    /* estilos de letas para el web site */
    --heading-font: "Open Sans", Georgia, serif;
    --paragraph-font: "Open Sans", Arial, sans-serif;

    /* these colors below should be chosen from among your palette colors above */
    --headline-color-on-white: #06005d; /* headlines on a white background */
    --headline-color-on-color: white; /* headlines on a colored background */
    --paragraph-color-on-white: #184571; /* paragraph text on a white background */
    --paragraph-color-on-color: #4d4747; /* paragraph text on a colored background */
    --paragraph-background-color: #ffffff;
    --nav-link-color: #ffffff;
    --nav-background-color: #2b5d00;
    --nav-hover-link-color: #ffffff;
    --nav-hover-background-color: #00539c;
}

html,
body {
    display: flex;
    flex-direction: column;
    min-height: 100vh;
    height: 100%;
    width: 100%;
    margin: 0;
    padding: 0;
    font-family: var(--paragraph-font);
    font-size: 22px;
    line-height: 1.15;
    background-color: #ffffff;
}
h1,
h2,
h3,
h4,
h5,
h6 {
    font-family: var(--heading-font);
}
/* Vista para mobile */

/* Header */

#hdTitle {
    display: flex;
    flex-direction: row;
    justify-content: center;
    align-items: center;
    padding: 5px;
    gap: 20px;
    background-color: var(--accent3-color);
}

#profile-img {
    width: auto;
    height: 100px;
    border-radius: 5%;
    
}


h1 {
    font-size: 2em;
    color: var(--headline-color-on-white);
}

ul {
    list-style-type: none; 
}


.hero {
	margin: 10px auto;
	position: relative;
	border: 1px solid rgba(0,0,0,.1);
	width: 100%;
    max-width: 960px;
    height: auto; 

}

#hero-image {
    width: 100%; 
    height: auto; 
    object-fit: cover; 
}

.herolabel {
	position: absolute;
    color: rgb(101, 11, 227);
	top: 30px;
	left: 30px;
	background: radial-gradient(#fff, #4D5B97);
	border: 1px solid rgba(0,0,0,.75);
	padding: 1.5rem;
	box-shadow: 0 0 3rem #fff;
	opacity: 0.75;
	
}

.herolabel p {
	margin: 0;
	padding: .25rem;
	font-weight: 700;
	font-size: 1.5rem;
	font-family:"Great Vibes", serif;
}





/* Nav bar */
#menu {
    position: absolute;
    top: 0.25em;
    left: 0.25em; 
    color: var(--primary-color);
    text-align: center;
    width: 50px;
    height: auto;
}

#menu::before {
    font-size: 2rem;
    content: "☰";
}

#menu.open::before {
    font-size: 1.5rem;
    content: "X";
}

.navigation {
    display: flex;
    flex-direction: column;
    list-style: none;
    background-color: var(--primary-color);
    color: var(--nav-link-color);
    margin: 0;
    padding: 0;
    white-space: nowrap;
}
.navigation li {
    display: none;
}
.navigation li a {
    display: block;
    padding: 1.5rem;
    text-align: center;
    text-decoration: none;
    color: var(--nav-link-color);
}
.navigation li a:hover {
    background-color: var(--nav-hover-background-color);
    color: var(--nav-hover-link-color);
    font-weight: 700;
}
.open li {
    display: block;
    width: 100%;
}
.open li a {
    display: block;
}

.navigation .active {
    color: yellow;
}

/*modo nocturno*/
#mode {
	position: absolute;
	top: 1rem;
	right: 1rem;
	font-size: 3rem;
	cursor: pointer;
	font-size: 2rem;
}

/* Main content section */
main {
    display: flex;
    flex-direction: column;
    /* text-align: center;
    margin: 0 75px; */
    margin: 0 auto;
    padding: 20px;
    background-color: var(--paragraph-background-color);
    color: var(--paragraph-color-on-white);
}
.card {
    margin: 5px;
}
.card-header {
    display: flex;
    flex-direction: row;
    align-items: center;
    background-color: var(--primary-color);
    color: var(--accent1-color);
    border-radius: 10px 10px 0 0;
    justify-content: center;
}

.card-content {
    padding: 30px;
}
.card-content div{
    margin: 0 0 10px 0;

}



.la-card {
    list-style-type: none;
    padding: 0;
}

.la-card li {
    padding: 5px;
}

.la-card li a {
    font-size: 0.72em;
}

/* Footer */
footer {
    display: flex;
    flex-direction: column;
    justify-content: center;
    justify-items: center;
    align-items: center;
    background-color: var(--primary-color);
    color: #ffffff;
    padding: 25px 50px;
    margin-top: auto;
}

footer a {
    color: #ffffff;
    text-decoration: none;
}

footer a:hover {
    color: var(--nav-hover-background-color);
}

footer p {
    font-size: 0.65em;
    margin: 5px;
}

footer p a:hover {
    text-decoration: underline;
}

footer .footer-info {
    display: flex;
    flex-direction: column;
    align-items: center;
    width: 100%;
}
/* Weather Article ********************************* */

#weather h4 {
    margin: 0;
    padding: 15px;
    background-color: var(--accent2-color);
    color: white;
    text-transform: uppercase;
}
/* #weather div {
    text-align: center;
    padding: 15px;
    background-color: #f8fafc;
} */
#weather p {
    margin: 10px 0 0 0;
    text-align: center;
}
#weather figure {
    display: flex;
    flex-direction: column;
    align-items: center;
    margin: 0;
}
.temp-area {
    display: flex;
    justify-content: center;
    align-items: center;
}
#current-temp {
    font-size: 3em;
    font-weight: 800;
}
.temp-area figure {
    display: flex;
    flex-direction: row;
    align-items: center;
    margin: 0;
}
#weather-description {
    font-size: 1.5em;
    font-weight: 800;
    text-transform: uppercase;
}
.alt-weather {
    display: flex;
    flex-direction: row;
    justify-content: center;
    align-items: center;
    margin: 10px;
    gap: 10px;

}
.weather-box {
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: 2px;
    padding: 15px;
    /* border: 1px solid var(--accent3-color); */
    font-size: .8rem;
}
.weather-box span{
    font-weight: 800;
    font-size: 1.5rem;
}